libstdc++

Public Types | Public Member Functions | List of all members
std::hash<::vector< bool, _Alloc > > Struct Template Reference

Inherits std::__hash_base< _Result, _Arg >.

## Public Types

typedef _Arg | argument_type
typedef _Result | result_type

## Public Member Functions

size_t | operator() (const ::vector< bool, _Alloc > &) const noexcept

## Detailed Description

### template<typename _Alloc>
struct std::hash<::vector< bool, _Alloc > >

std::hash specialization for vector<bool>.

Definition at line 1143 of file stl_bvector.h.

The documentation for this struct was generated from the following files:

- stl_bvector.h
- vector.tcc